#include <iostream>

using namespace std;

int main()
{
    int n, m, d, u, i, j, br=0, l, r, x;
    cin >> n >>m;
    int di[n];
    int ui[n];
    int re[m];
    for(i=0; i<n; i++)
    {
        cin>> di[i] >> ui[i];
    }
    for(i=0; i<m; i++)
    {
        cin >> l >> r >> x;
        br=0;
        for(j=l-1; j<r;j++)
        {
            if(x>=di[j] && x<=ui[j])
            {
                br++;
            }
        }
        re[i] = br;
    }
    for(i=0; i<m; i++)
    {
        cout << re[i] << endl;
    }
}